package ru.yandex.autodoc.wmtools.params.fetch.json;

import org.jetbrains.annotations.Nullable;
import ru.yandex.autodoc.wmtools.params.fetch.ParamHolder;

/**
 * @author avhaliullin
 */
public interface JsonFieldView<T, I> {
    @Nullable
    public T fetchValue(JsonObjectContext context, I injected);

    public ParamHolder<T> fetch(JsonObjectContext context, I injected);
}
